import { ToastService } from './../toast.service';
import { OnInit, OnDestroy, ViewRef } from '@angular/core';
import { Notification } from '../models/notification';
import { Subject } from 'rxjs';
export declare class NotificationComponent implements OnInit, OnDestroy {
    toastService: ToastService;
    data: Notification;
    viewRef: ViewRef;
    created: number;
    action: Subject<string>;
    isClosed: boolean;
    elapsedMinutes: number;
    autoclose: boolean;
    progressBarStarted: boolean;
    readonly config: any;
    private interval;
    private seconds;
    constructor(toastService: ToastService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClose(): void;
    onPushButton(action: string): void;
    onRemove(): void;
    onStartProgressBar(): void;
    private _setElapsedMinutes;
}
