import { Subject } from 'rxjs';
import { ToastService } from './toast.service';
import { Notification } from './models/notification';
export declare class BootstrapToastService {
    private toast;
    constructor(toast: ToastService);
    /**
     * Create and fire new toast notification
     *
     * @param message Notification
     */
    create(message: Notification): Subject<string>;
}
